> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# الاقتصاد

<ResponseExample>
  ```json استجابة (200 OK) theme={null}
  {
    "economics": [
      {
        "actual": "",
        "actual_t": "%",
        "consensus": "",
        "consensus_t": "",
        "country": "USA",
        "date": "2026-03-08",
        "description": "يتتبع تقرير Challenger Job Cuts (على أساس سنوي YoY) نسبة التغير في عدد عمليات التسريح التي يعلن عنها أصحاب العمل خلال شهر معين مقارنةً بالشهر نفسه من العام السابق. يُستخدم هذا التقرير من قبل المستثمرين والمحللين لقياس قوة سوق العمل واتخاذ قرارات مستنيرة بشأن استثماراتهم. يمكن أن تؤثر البيانات الواردة في هذا التقرير أيضًا على قيمة الدولار الأمريكي، حيث تُعتبر الأرقام الأعلى من المتوقع سلبية، في حين تُعتبر الأرقام الأقل من المتوقع إيجابية.",
        "event_category": "العمالة",
        "event_name": "Challenger Job Cuts (YoY)",
        "event_period": "",
        "id": "6745790147f2830001365a27",
        "importance": 1,
        "notes": "",
        "period_year": 2026,
        "prior": "",
        "prior_t": "%",
        "time": "02:30:09",
        "updated": 1736341667
      }
    ]
  }
  ```

  ```json استجابة (401 غير مصرح) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "رمز المصادقة غير صالح أو مفقود"
      }
    ]
  }
  ```

  ```json استجابة (404 لم يتم العثور على بيانات) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "لم يتم العثور على أي بيانات للمعلمات المحددة"
      }
    ]
  }
  ```

  ```json استجابة (500 خطأ داخلي في الخادم) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "حدث خطأ غير متوقع أثناء معالجة طلبك"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ar/openapi/calendar-api.spec.yml GET /api/v2.1/calendar/economics
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/economics:
    get:
      tags:
        - economics
      summary: يعيد بيانات calendar الاقتصادي
      description: >-
        يُرجِع بيانات التقويم الاقتصادي، بما في ذلك المؤشرات الاقتصادية
        والإعلانات والتقارير من دول مختلفة. يتضمن القيم الفعلية وتقديرات الإجماع
        والقيم السابقة للأحداث الاقتصادية مثل الناتج المحلي الإجمالي، وبيانات
        التوظيف، ومقاييس التضخم، وغير ذلك.
      operationId: get-economics
      parameters:
        - description: >-
            يحدد تنسيق الإرجاع. تعمل معلمات الاستعلام بالطريقة نفسها في كلا
            التنسيقين
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والاعتبارات التقنية،
            تقتصر قيم إزاحة الصفحة على المجال من 0 إلى 100000. قَيِّد نتائج
            الاستعلام باستخدام معلمات أخرى مثل التاريخ.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُرجَعة. الحد الأقصى 1000
          in: query
          name: pagesize
          schema:
            type: integer
            maximum: 1000
        - description: >-
            تاريخ الاستعلام عن بيانات calendar. يُستخدم كصيغة مختصرة لـ
            date_from وdate_to إذا كان التاريخان متماثلين. القيمة الافتراضية هي
            أحدث تاريخ متاح
          in: query
          name: parameters[date]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: تاريخ الاستعلام اعتبارًا من نقطة زمنية معيّنة
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: تاريخ الاستعلام حتى نقطة زمنية معيّنة
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: >-
            مستوى الأهمية الذي تتم التصفية بناءً عليه. يستخدم قيمة أكبر من أو
            تساوي مستوى الأهمية المحدد
          in: query
          name: parameters[importance]
          schema:
            type: integer
            enum:
              - 1
              - 2
              - 3
        - description: >-
            الطابع الزمني بنظام Unix (بتوقيت UTC) لآخر تحديث للسجلات. سيؤدي ذلك
            إلى فرض ترتيب الفرز بحيث يكون أكبر من أو يساوي الطابع الزمني المشار
            إليه
          in: query
          name: parameters[updated]
          schema:
            type: integer
        - description: 'رمز الدولة المكوَّن من ثلاثة أحرف (مثل: USA، CAN، GBR)'
          in: query
          name: country
          schema:
            type: string
            format: A-Z:3
        - description: فئة واحدة أو أكثر تفصل بينها فاصلة
          in: query
          name: event_category
          schema:
            type: string
            format: csv
      responses:
        '200':
          description: نجاح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.EconomicResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.EconomicResponse'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ خادم داخلي
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.EconomicResponse:
      description: >-
        استجابة واجهة برمجة التطبيقات API التي تتضمن مصفوفة سجلات للأحداث
        الاقتصادية
      properties:
        economics:
          items:
            $ref: '#/components/schemas/calendarapi.Economic'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Economic:
      properties:
        actual:
          example: '216000'
          type: string
        actual_t:
          example: 216K
          type: string
        confirmed:
          example: true
          type: boolean
        consensus:
          example: '170000'
          type: string
        consensus_t:
          example: 170K
          type: string
        country:
          example: United States
          type: string
        date:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        description:
          example: The change in the number of employed people
          type: string
        event_category:
          example: Employment
          type: string
        event_name:
          example: Nonfarm Payrolls
          type: string
        event_period:
          example: December
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5af
          type: string
        importance:
          example: 5
          type: integer
        notes:
          example: Nonfarm payrolls beat expectations
          type: string
        period_year:
          example: 2023
          type: integer
        prior:
          example: '199000'
          type: string
        prior_t:
          example: 199K
          type: string
        time:
          example: '08:30:00'
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````